Ethiack Docs
Event scope

Update Event Asset

PATCH
/v1/events/{event_slug}/scope/assets/{asset_id}

Updates specific details of an asset within an event's scope.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

event_slug*string

The slug of the event

asset_id*integer

The unique identifier of the asset

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.ethiack.com/v1/events/string/scope/assets/0" \  -H "Content-Type: application/json" \  -d '{    "in_scope": null,    "description": null,    "wildcard": null  }'
{
  "code": 0,
  "description": "string",
  "id": null,
  "success": true
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}